Home

# Class goog.net.xpc.Transport

The base class for transports.

extends goog.Disposable

Instance Method Summary
| `connect()` Connects this transport. The transport implementation is expected to call CrossPageChannel.prototype.notifyConnected_ when the channel is ready to be used.
| `getName() ⇒ string` Return the transport name.
| `getType() ⇒ number`
| `getWindow() ⇒ ?Window` Returns the window associated with this transport instance.
| `send(string service, (Object|null|string) payload)` Sends a message.
| `transportServiceHandler(string payload)` Handles transport service messages (internal signalling).